#  $Id: mysqlard.spec.sh 40 2006-01-20 20:26:11Z dewitge $
#	
#  MySQL Activity Report
#  RPM spec file
#
#  Copyright 2004-2006 Gert Dewit <gert.dewit@sos.be>

%define pkgname mysqlard
%define _datadir /var/lib
%define _localstatedir /var/run

Name: %{pkgname}
Summary: MySQL performance logging daemon
Group: Applications/Databases
Version: 1.0.0
Release: 1
License: GPL
Source: http://www.sos.be/projects/%{name}/dist/%{name}-%{version}.tar.gz
Url: http://www.sos.be/
Packager: Gert Dewit <gert.dewit@sos.be>
Vendor: Supporting Open Source
BuildRoot: %{_tmppath}/%{name}-root
Requires: mysql rrdtool
Buildrequires: mysql-devel rrdtool-devel


%description
mysqlard daemon collects MySQL(TM) performance data in a Round Robin Database.
The package also contains example graphing and php scripts.

%prep
%setup

%build
%configure
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
%makeinstall
mkdir -p %{buildroot}%{_sysconfdir}/init.d
mv %{buildroot}%{_datadir}/%{name}/*.cnf %{buildroot}%{_sysconfdir}
mv %{buildroot}%{_datadir}/%{name}/*.server %{buildroot}%{_sysconfdir}/init.d/mysqlard
ln -s %{_sysconfdir}/init.d/mysqlard %{buildroot}%{_sbindir}/rcmysqlard
mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
mv %{buildroot}%{_datadir}/%{name}/mysqlar.daily %{buildroot}%{_sysconfdir}/cron.daily/mysqlar
mkdir -p %{buildroot}%{_sysconfdir}/cron.weekly
mv %{buildroot}%{_datadir}/%{name}/mysqlar.weekly %{buildroot}%{_sysconfdir}/cron.weekly/mysqlar
mkdir -p %{buildroot}%{_sysconfdir}/cron.monthly
mv %{buildroot}%{_datadir}/%{name}/mysqlar.monthly %{buildroot}%{_sysconfdir}/cron.monthly/mysqlar
rm -f %{buildroot}%{_datadir}/%{name}/*.spec
mkdir -p %{buildroot}%{_datadir}/%{name}/archive

%post
# use insserv for older SuSE Linux versions
if test -x /sbin/insserv
then
  /sbin/insserv %{_sysconfdir}/init.d/mysqlard
# use chkconfig on Red Hat and newer SuSE releases
elif test -x /sbin/chkconfig
then
  /sbin/chkconfig --add mysqlard
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%config(noreplace) %attr(0644,-,-) %{_sysconfdir}/*.cnf
%{_sysconfdir}/init.d/*
%{_sysconfdir}/cron.*/*
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/*
%{_mandir}/*

%changelog
* Fri Jan 13 2006 Wade Bowmer
- Fixed an int/long problem. All vars now tracked with unsigned long longs.

* Fri Dec 16 2005 Wade Bowmer
- slave currency added

* Sun Mar 07 2004 Gert Dewit <gert.dewit@sos.be>
- cron scripts added

* Mon Feb 29 2004 Gert Dewit <gert.dewit@sos.be>
- man page dir added

* Mon Feb 23 2004 Gert Dewit <gert.dewit@sos.be>
- initial release
